Search products (v1)
Returns one page (~54) of products matching required keyword. Pass next_page as page for more.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
keyword*string
Keyword to search Walmart products for.
Length
1 <= lengthpage?integer
Search page, ~54 products each. Send the previous response's next_page.
Range
1 <= value <= 100Default
1curl -X GET "https://example.com/v1/walmart/products/search?keyword=coffee+maker" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "items": [ { "usItemId": "string", "property1": null, "property2": null } ], "count": 0, "aggregatedCount": 0, "has_more": true, "next_page": 0, "breadCrumb": null, "categoryNavigation": null, "relatedSearch": null, "property1": null, "property2": null }, "details": { "reason": "no_results", "message": "string" }}